=== debian/changelog ===
coq-quickchick (1.6.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1015000)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 00:34:31 +0200
