=== examples/Makefile ===
include ../Makefile

tutorial: Makefile.coq
	$(MAKE) -f $<

testmutation:
	quickChick MutationTestingTutorial.v -s PropPlus -m mutate
