=== debian/changelog ===
coq-quickchick (1.6.4-3) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:56:43 +0100

coq-quickchick (1.6.4-2) unstable; urgency=medium

  * Fix for Coq 8.16.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 05 Sep 2022 22:54:49 +0200

coq-quickchick (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 15 Aug 2022 08:26:31 +0200

coq-quickchick (1.6.3-2) unstable; urgency=medium

  * Rebuild against more recent coq-simple-io.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Aug 2022 23:47:35 +0200
