=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	help2man $(CURDIR)/debian/tmp/usr/bin/quickChick --no-discard-stderr > debian/quickChick.1
