## coq-quickchick 2.0

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,19 @@
 #	 $(V)cp src/quickChickLib.cmx $(COQLIB)/user-contrib/QuickChick
 #	 $(V)cp src/quickChickLib.o $(COQLIB)/user-contrib/QuickChick
 
+install-fuzz:
+	$(V)cp fuzz/alloc-inl.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/config.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/debug.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/types.h $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/SHM.c $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/Stub.ml $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/Main.ml $(COQLIB)/user-contrib/QuickChick/
+
+	$(V)cp fuzz/cmdprefix.pl $(COQLIB)/user-contrib/QuickChick/
+	$(V)cp fuzz/cmdsuffix.pl $(COQLIB)/user-contrib/QuickChick/
+
+
 install-plugin: Makefile.coq
 	$(V)$(MAKE) -f Makefile.coq install | tee $(TEMPFILE)
 
@@ -51,18 +64,19 @@
 	cd $(QCTOOL_DIR); ocamlbuild -use-ocamlfind -pkg str -pkg unix -use-ocamlfind $(QCTOOL_EXE)
 
 tests:
-	$(MAKE) -C examples tutorial
+	$(MAKE) -C tutorials tutorials
+	$(MAKE) -C test
+	cd benchmarks/stlc; make clean && make
+	cd benchmarks/BST; make clean && make
 	cd examples/ifc-basic; make clean && make
-	$(MAKE) -C test
 	$(MAKE) -C examples/RedBlack test
-	cd examples/stlc; make clean && make
 	$(MAKE) -C examples/multifile-mutation test
 # This takes too long. 
 #	$(MAKE) -C examples/c-mutation test
 #	coqc examples/BSTTest.v
 	coqc examples/DependentTest.v
 
-COMPATFILES:=plugin/depDriver.ml plugin/driver.mlg plugin/genericLib.ml plugin/quickChick.mlg plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject
+COMPATFILES:=plugin/depDriver.ml plugin/genericLib.ml plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject
 
 compat: $(COMPATFILES)
 
@@ -99,3 +113,7 @@
 
 .merlin: Makefile.coq
 	make -f Makefile.coq .merlin
+
+publish%:
+	opam publish --packages-directory=released/packages \
+		--repo=coq/opam-coq-archive --tag=v$* -v $* QuickChick/QuickChick
