=== debian/changelog ===
coq-quickchick (2.0-2build4) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Dec 2023 14:09:52 -0500

coq-quickchick (2.0-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 00:45:55 +0100

coq-quickchick (2.0-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:15:28 +0100

coq-quickchick (2.0-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:10:56 +0200

coq-quickchick (2.0-2) unstable; urgency=medium

  * Team upload
  * Build-depend on ocaml-dune (Closes: #1040814)
  * Fix Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 10:55:33 +0200

coq-quickchick (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 14 Jun 2023 15:45:47 +0200
