=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                cppo,
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
-               dune,
+               ocaml-dune,
                help2man,
                libcoq-ext-lib,
                libcoq-mathcomp-ssreflect,
@@ -19,8 +19,8 @@
                libcoq-stdlib,
                menhir,
                ocamlbuild
-Vcs-Browser: https://salsa.debian.org/ocaml-team/quickchick
-Vcs-Git: https://salsa.debian.org/ocaml-team/quickchick.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-quickchick
+Vcs-Git: https://salsa.debian.org/ocaml-team/coq-quickchick.git
 Homepage: https://github.com/Quickchick/Quickchick
 
 Package: libcoq-quickchick
