## coq-quickchick 2.0.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 TEMPFILE := $(shell mktemp)
 
-install: all
+install: quickChickTool plugin
 	$(V)$(MAKE) -f Makefile.coq install > $(TEMPFILE)
 # Manually copying the remaining files
 	$(V)cp $(QCTOOL_DIR)/$(QCTOOL_EXE) $(INSTALLDIR)/quickChick
@@ -76,7 +76,15 @@
 #	coqc examples/BSTTest.v
 	coqc examples/DependentTest.v
 
-COMPATFILES:=plugin/depDriver.ml plugin/genericLib.ml plugin/tactic_quickchick.mlg plugin/weightmap.mlg src/ExtractionQC.v src/QuickChick.v _CoqProject
+COMPATFILES:= \
+	plugin/depDriver.ml \
+	plugin/genericLib.ml \
+	plugin/unifyQC.ml \
+	plugin/tactic_quickchick.mlg \
+	plugin/weightmap.mlg \
+	src/ExtractionQC.v \
+	src/QuickChick.v \
+	_CoqProject
 
 compat: $(COMPATFILES)
