=== debian/changelog ===
coq-quickchick (2.0.1-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044511).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:28:29 +0100
