## coq-quickchick 2.0.2

=== Makefile ===
--- 
+++ 
@@ -75,15 +75,19 @@
 #	$(MAKE) -C examples/c-mutation test
 #	coqc examples/BSTTest.v
 	coqc examples/DependentTest.v
+	coqc examples/TacticExample.v
 
 COMPATFILES:= \
 	plugin/depDriver.ml \
 	plugin/genericLib.ml \
+	plugin/mergeTypes.ml \
+	plugin/quickChick.mlg \
 	plugin/unifyQC.ml \
 	plugin/tactic_quickchick.mlg \
 	plugin/weightmap.mlg \
 	src/ExtractionQC.v \
 	src/QuickChick.v \
+	src/TacticsUtil.v \
 	_CoqProject
 
 compat: $(COMPATFILES)
