=== tutorials/Makefile ===
include ../Makefile

tutorials: Makefile.coq
	$(MAKE) -f $<
