=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coq-quickchick
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
@@ -42,7 +43,7 @@
 
 Package: quickchick
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ocaml-base-nox | ocaml-nox
+Depends: ${misc:Depends}, ${shlibs:Depends}, ocaml-base | ocaml
 Description: randomized testing framework for Coq (tools)
  QuickChick provides a framework for randomized testing
  of program properties ; it's a clone of Haskell's
