=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 override_dh_auto_install:
 	make install DESTDIR=$(CURDIR)/debian/tmp
 	help2man $(CURDIR)/debian/tmp/usr/bin/quickChick --no-discard-stderr > debian/quickChick.1
+
+override_dh_auto_clean:
+	make clean
+	rm -f .lia.cache plugin/META.coq-quickchick
+	find . -name "*.vo*" -delete
