## coq-quickchick 2.0.3

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	plugin/unifyQC.ml \
 	plugin/tactic_quickchick.mlg \
 	plugin/weightmap.mlg \
+	src/Compat.v \
 	src/ExtractionQC.v \
 	src/QuickChick.v \
 	src/TacticsUtil.v \
