## coq-quickchick 2.0.4

=== debian/changelog ===
coq-quickchick (2.0.4-1build1) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Nov 2024 14:25:13 +0100

coq-quickchick (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:57:49 +0100
