## coq-quickchick 2.0.5

=== Makefile ===
--- 
+++ 
@@ -26,8 +26,8 @@
 	$(MAKE) -f Makefile.coq 
 
 documentation-check: plugin
-	coqc -R src QuickChick -I plugin QuickChickInterface.v
-	coqc -R src QuickChick -I plugin DocumentationCheck.v
+	coqc -R src QuickChick -Q doc doc -I plugin doc/QuickChickInterface.v
+	coqc -R src QuickChick -Q doc doc -I plugin doc/DocumentationCheck.v
 
 TEMPFILE := $(shell mktemp)
 
@@ -81,8 +81,10 @@
 	plugin/depDriver.ml \
 	plugin/genericLib.ml \
 	plugin/mergeTypes.ml \
+	plugin/quickChick.mli \
 	plugin/quickChick.mlg \
 	plugin/unifyQC.ml \
+	plugin/unifyQC.mli \
 	plugin/tactic_quickchick.mlg \
 	plugin/weightmap.mlg \
 	src/Compat.v \
