=== examples/mutation-testing-tutorial.t/Makefile ===
default:
	coqc -R . QC MutationTestingTutorial.v
	coqc -R . QC QuickChickTop.v
