## coq-quickchick 2.1.0

=== debian/changelog ===
coq-quickchick (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install documentation under /usr/share/doc, not /usr/doc.
    (Closes: #1111916)
  * Don't install the upstream changelog twice.

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Sep 2025 14:14:24 +0300

coq-quickchick (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 12 Mar 2025 10:33:03 +0100
