=== debian/watch ===
version=4
https://github.com/QuickChick/QuickChick/tags .*/v?([\d\.]+).tar.gz
