=== debian/changelog ===
coq-quickchick (2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.
  * Work on lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:10:44 +0100
