=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom QuickChick QuickChick
Depends: coq, @
